#! /bin/sh
#----------------------------------------------------------------------------
# libpq-4 - Installation
#
# Copyright (c) 2006 Marc Oliver Ulfig   <eisfair@shadowhost.de>
#
# Creation:     2006/01/09 / 22:00:00   MOU
# Last Update:  2007/02/18 / 21:16:00   dv
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# Include EisFair Lib if there and show a message
#----------------------------------------------------------------------------
if [ -f /var/install/include/eislib ] ; then
    . /var/install/include/eislib
    #------------------------------------------------------------------------
    # New Script Message
    #------------------------------------------------------------------------
    mecho -info "  installing libpq-4..."
else
    #------------------------------------------------------------------------
    # Old Script Message
    #------------------------------------------------------------------------
    echo "  installing libpq-4..."
fi


#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
LinkDES="libpq.so.4.1"
LinkSRC="libpq.so libpq.so.4"

cd /usr/lib

for Link in ${LinkSRC} ; do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
done

cd -


#----------------------------------------------------------------------------
# remove links and libs for the same older versions
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
ldconfig >/dev/null 2>&1


#----------------------------------------------------------------------------
# Ende von: libpq-4 - Installation
#----------------------------------------------------------------------------
exit 0

