#! /bin/sh
#----------------------------------------------------------------------------
# libpq-4 - Preinstallation
#
# Copyright (c) 2006 Marc Oliver Ulfig   <eisfair@shadowhost.de>
#
# Creation:     2006/01/09 / 22:00:00   MOU
# Last Update:  2007/02/18 / 21:16:00   dv
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# Include EisFair Lib if there and show a message
#----------------------------------------------------------------------------
if [ -f /var/install/include/eislib ] ; then
    . /var/install/include/eislib
    #------------------------------------------------------------------------
    # New Script Message
    #------------------------------------------------------------------------
    mecho -info "  preinstalling libpq-4..."
else
    #------------------------------------------------------------------------
    # Old Script Message
    #------------------------------------------------------------------------
    echo "  preinstalling libpq-4..."
fi


#----------------------------------------------------------------------------
# Check for old (Devel-)Packages
#----------------------------------------------------------------------------
if [ -f /var/install/packages/libpq-4-dev -a "`/var/install/bin/check-version libpq-4-dev 1.0.4`" = "new" ] ; then
    echo ""
    if [ -f /var/install/include/eislib ] ; then
        mecho -warn "  An old devel package is installed."
        mecho -warn "  To prevent version conflicts it is recommended that you also update"
        mecho -warn "  the devel package. Look for the following name and version:"
        mecho -warn "  Name: libpq-4-dev     Version: 1.0.5"
        echo ""
        mecho -warn "  You can download and install a new devel package over the standard"
        mecho -warn "  list in your setup menu."
    else
        echo "  An old devel package is installed."
        echo "  To prevent version conflicts it is recommended that you also update"
        echo "  the devel package. Look for the following name and version:"
        echo "  Name: libpq-4-dev     Version: 1.0.5"
        echo ""
        echo "  You can download and install a new devel package over the standard"
        echo "  list in your setup menu."
    fi
    echo ""
    echo ""
    sleep 2
fi
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# Delete NOT allowed OLD deinstall scripts
#----------------------------------------------------------------------------
if [ -f /var/install/deinstall/libpq-4 ] ; then
    rm -f /var/install/deinstall/libpq-4
fi


#----------------------------------------------------------------------------
# remove old lib from previous PostgreSQL-Packages
#----------------------------------------------------------------------------
rm -f /usr/local/pqsql/lib/libpq.so*


#----------------------------------------------------------------------------
# Ende von: libpq-4 - Preinstallation
#----------------------------------------------------------------------------
exit 0

